From d10cf1dc7f459588a905134f84b76c6948f3cace Mon Sep 17 00:00:00 2001
From: Jim Porter <jporterbugs@gmail.com>
Date: Fri, 30 Apr 2021 21:47:29 -0700
Subject: [PATCH] * lisp/rect.el (rectangle-mark-mode-map): Add
 `kill-rectangle' and `copy-rectangle-as-kill' to map

---
 lisp/rect.el | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/lisp/rect.el b/lisp/rect.el
index 504be41b67..bae9142129 100644
--- a/lisp/rect.el
+++ b/lisp/rect.el
@@ -638,6 +638,8 @@ with a prefix argument, prompt for START-AT and FORMAT."
   (let ((map (make-sparse-keymap)))
     (define-key map [?\C-o] 'open-rectangle)
     (define-key map [?\C-t] 'string-rectangle)
+    (define-key map [remap kill-region] 'kill-rectangle)
+    (define-key map [remap kill-ring-save] 'copy-rectangle-as-kill)
     (define-key map [remap exchange-point-and-mark]
       'rectangle-exchange-point-and-mark)
     (dolist (cmd '(right-char left-char forward-char backward-char
-- 
2.25.1

